---
- name: Converge
  hosts: all
  vars:
    app_dir: "/home/django/app"
    app_venv_bin: "{{ app_dir }}/venv/bin"
    supervisor_programs:
      - name: 'gunicorn'
        command: "{{ app_venv_bin }}/python {{ app_venv_bin }}/gunicorn --config {{ app_venv_bin }}/gunicorn.conf.py locallibrary.wsgi"
        state: present
        configuration: |
          directory={{ app_dir }}
          autostart=true
          autorestart=true
          redirect_stderr=true
          stderr_logfile=/home/django/gunicorn_error.log
          user=django

  tasks:
    - name: "Include klovtsov.ansible_role_supervisord"
      ansible.builtin.include_role:
        name: "klovtsov.ansible_role_supervisord"
